org.apache.tools.ant.taskdefs.condition

## Class JavaVersion

- java.lang.Object
- - org.apache.tools.ant.taskdefs.condition.JavaVersion

All Implemented Interfaces:
  Condition

    public class JavaVersion
    extends java.lang.Object
    implements Condition

An Java version condition.

Since:
  Java 1.9.10

### Constructor Summary

Constructors
Constructor and Description
`JavaVersion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eval()` Evaluate the condition.
`java.lang.String` `getAtLeast()` Get the atleast attribute.
`java.lang.String` `getExactly()` Get the exactly attribute.
`void` `setAtLeast(java.lang.String atLeast)` Set the atleast attribute.
`void` `setExactly(java.lang.String exactly)` Set the exactly attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaVersion

    public JavaVersion()

### Method Detail

#### eval

    public boolean eval()
                 throws BuildException

Evaluate the condition.

Specified by:
  `eval` in interface `Condition`
Returns:
  true if the condition is true.
Throws:
  `BuildException` - if an error occurs.

#### getAtLeast

    public java.lang.String getAtLeast()

Get the atleast attribute.

Returns:
  the atleast attribute.

#### setAtLeast

    public void setAtLeast(java.lang.String atLeast)

Set the atleast attribute. This is of the form major.minor.point. For example 1.7.0.

Parameters:
  `atLeast` - the version to check against.

#### getExactly

    public java.lang.String getExactly()

Get the exactly attribute.

Returns:
  the exactly attribute.

#### setExactly

    public void setExactly(java.lang.String exactly)

Set the exactly attribute. This is of the form major.minor.point. For example 1.7.0.

Parameters:
  `exactly` - the version to check against.